body {
	background-color: #121212;
	font-size: calc(14px + 0.2vw);
	font-family: "Open Sans", Arial, Helvetica, sans-serif;
	overflow: auto;
	align-items: center;
	justify-content: center;
	margin-right: auto;
	margin-left: auto;
	max-width: 1500px;
    margin-bottom: 0px;
}

/* #wrapper { */
	/* max-width: 1500px; */
	/* max-height: 100%; */
	/* background-color: #121212; */
	/* box-sizing: border-box; */
	/* overflow:auto; */
/* } */

/* Don't change color of link after it has been visited */
a {
  color:inherit;
  text-decoration: none;
}

/* formatting for the About, References pages */
p {
  color: black;
  background-color: white;
  max-width: 700px;
  padding: 10px;
  justify-content: center;
  align-items: center;
  margin: 0px;  
  margin-left: 26%;

}

h2 {
  color: black;
  background-color: transparent;
  font-size: calc(13px + 0.2vw);
  margin:0;
  padding:0;
}


/* Header bar - includes top banner and gray button bar*/
#header_bar {
max-height: 102px;	
	
}

/* Full width bar with title: "Colorado Wildflowers: A Field Guide" */
header_top_title {
  background-color: #121212;
  font-size: clamp(14px, 2vw, 24px);
  color: #FFC256;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-right: 25px;
  padding-left: 25px;
  overflow:hidden;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  max-height: 50px;
}

header_top_title  img {
	display:block;
	border: none;
    margin-right: 15px;
	padding-top: 20px;
	padding-bottom: 20px;
	max-height: 80px;
	height: auto;
}

/* @media screen and (max-width: 800px) {
header_top_title  img {
    max-height: 30px;
  }
} */

/*Navigation bar*/

nav {
  width: 100%;
  background-color: #808080;
}

/*   http://jsfiddle.net/fx4Qd/2/   */
/* responsive font size:  https://www.madebymike.com.au/writing/precise-control-responsive-typography/ */
.nav_button a {
  float: right;
  height: 40px;
  padding-left: 0.8vw;
  padding-right: 0.8vw;
  background-color: #808080;
  text-align: center;
  line-height: 40px;
  color:white;
  font-weight: bold;
  font-size: clamp(14px, 2vw, 20px);
}

nav a img{
 padding-top: 5px;
  padding-bottom: 5px;
  padding-left: 0px;
  padding-right: 0px;
  max-height: 40px;
}

#photos{
  float:left;
  padding-left: 20px;
}
.menu-icon{
  display: none !important;
}


/*
To implement max and min font size when using font vw:
activehttps://stackoverflow.com/questions/40528290/how-to-implement-max-font-size
*/

.nav_button a:hover {
  background-color: #ddd;
  color: black;
  text-decoration: none;
}

.nav_button a.last {
  margin-right: 0px;
}

.clear {
  clear: both;
}

a.button {
  background-color: #808080;
  border: none;
  color: white;
  font-weight: bold;
  padding: 14px 24px;
  float: right; /* Float buttons side by side on right side of page */
  text-decoration: none;
}


#menu-icon {
	display: none;
	width: 40px;
	height: 40px;
}

/*-----SEARCH BAR-----*/
#search{
  background-color: whitesmoke;
  padding-left:10px;
  margin:0px;
  border-right-style: solid;
  border-right-color: #121212;
  border-right-width: 1px;
  width:100%;
  overflow:auto;
  max-height:100px;
}

search_bar{
  display: flex;
  flex-direction: row;
  width:100%;
  height:25%;
}

.formField {
  font-size: calc(12px + 0.2vw);
  float: left;
  padding: 5px 15px;
}

.formButton {
  float: left;
  padding: 15px 1.0vw 10px 1.0vw;
}

.search_count{
	float: left;
	padding: 15px 15px 0px 15px;
}

/*-----END SEARCH BAR-----*/


#list_buttons{
  margin-bottom: 0px;
}


.button_listType {
  background-color: gray;
  border: none;
  color: white;
  padding: 5px 1vw;
  margin: 0px;
  width:100%;
  text-align: left;
  text-decoration: none;
  font-size: clamp(12px, 2vw, 20px);
  font-weight: bold;
}

.button_listType:hover {
  background-color: #ddd;
  color: #121212;
}

.button_listType:focus {
  background-color: #585858;
  border: none;
  color:white;
  outline:0;
}


/* CONTENT BELOW SEARCH BAR     */

#content {
	display: flex;
	height: calc(100vh - 110px);
}

/*  LEFT LIST COLUMN */



#left_column {
  border-left-style: solid;
  border-left-color: #434343;
  border-left-width: 1px;
  min-width: 20%;
  background-color: #121212;
  height: calc(100vh - 110px);
  overflow-y: auto;
}

#left_column ul{
	/* height:100vh;
	overflow-y:scroll; */
}


#species_list_column {
  background-color: #121212;
  padding-left: 4px;
  padding-right: 4px;
  height:100%;
  overflow-y: scroll;
}

#flowerlist{
	text-indent:-10px;
  padding-left: 13px;
  margin:0px;
  border-width: 0px;
}

#flowerlist ul{
  list-style-type: none;
  padding-left: 3px;
  border-width: 0px;
}

#flowerlist li{
  list-style-type: none;
  padding-left: 3px;
  font-size: clamp(12px 1.0vw 14px);
  border-width: 0px;
  color:whitesmoke;
}

#flowerlist li:hover{
  text-decoration: underline;
  color: rgb(255, 255, 128);
  cursor: pointer;
}


.fam_title hover{
  color: whitesmoke;
  cursor:none;
}



/*  RIGHT CONTENT COLUMN - NESTED   */
#right_column {
  width: 100%;
  border-right-style: solid;
  border-right-color: #434343;
  border-right-width: 1px;
  border-left-style: solid;
  border-left-color: #434343;
  border-left-width: 1px;
  background-color: #121212;
  height: calc(100vh - 110px);
  overflow-y:auto;
}

main{
  background-color: #121212;
  padding:0px;
  margin:0px;
  font-size: calc(13px + 0.2vw);
  height:100%;
}

main p{
  padding-right: 30px;
}

.thumb_div{
  display: flex;
  flex-wrap: wrap;
  padding: 0 5px;
  /* margin: -10px -10px -90px -10px; */
  background-color: #121212;
  color:whitesmoke;
  align-items: center;
  justify-content: center;
}

.thumb_div img{
	max-height:160px;
	width: auto;	
}

.thumb_div img:hover {
	max-height: 240px; /* Set the height of the image on hover */
  }

/* This imposes responsive thumb image size. 
Image size does not change continuously, but in steps at the defined screen width */
@media screen and (max-width: 800px) {
.thumb_div  img {
    max-height: 120px;
	width: auto;
  }
  
.thumb_div img:hover {
	max-height: 120px; /* This prevents the thumbs from displaying larger size on hover (full screen condition) */
  }
}

.img_grid_div {
  padding: 0px;
  text-align: center;
}

.img_grid_div li{
  list-style-type: none;
  display: inline-block;
  padding-left: 3px;
  font-size: 16px;
  border-width: 0px;
  color: whitesmoke;
}

.button_thumb {
  background-color: transparent;
  border-width: 0px;
  color: whitesmoke;
  padding: 10px;
  margin: 0px;
}

.button_thumb:hover {
  background-color: gray;
  color: white;
  cursor:pointer;
  text-decoration: underline;
}

.button_thumb:focus {
  background-color: #585858;
  border: none;
  color:white;
  outline:0;
}

#flowerDescription{
  padding-top: 20px;
}

#flowerDescription table {
  border-spacing: 10px 0px;
}

#flowerDescription td {
  color: whitesmoke;
}

#flowerDescription img {
  margin: 4px;
  max-height: 380px;
  width: auto;
}

/* @media screen and (max-width: 600px) {
#flowerDescription  img {
    max-height: 300px;
  }
} */


#flowerDescription h4 {
  font-weight: normal;
  color: whitesmoke;
  margin-left: 10px;
  max-width: 700px;
  word-wrap: break-word;
}
#flowerDescription h4 a{
  color:#ffba00
}
#flowerDescription h2 {
  color: whitesmoke;
  margin-left: 10px;
  font-weight:200;
}

#flowerDescription p {
  color: whitesmoke;
  width: 100px;
  word-wrap: break-word;
}

.ref a{
  color:blue;
  justify-content: center;
  align-items: center;
}



.menu {
  display: none;
}

.menu img{
  padding-top: 0px;
  padding-left: 0px;
  padding-right: 0px;
  max-height: 30px;
  display:inline-block;
}

.hamburger {
  display: flex;
}

.cross {
  display: none
}

/*  STYLES FOR ELEMENTS THAT OCCUR ON INDIVIDUAL PAGES  */

.family {
  font-weight: italic;
  color: #FFC040;
}

/* Vegetation zones table on About html page */

.table_container_zones    table {
      border-collapse: collapse;
	  display:flex;
      width: 100%;
      max-width: 720px;
	  margin:auto;
	  margin-left:26%; 
	  background-color: white;
    }

.table_container_zones    td {
	  font-family: Arial, sans-serif;
	  font-size: calc(13px + 0.2vw);
      padding: 5px;
      text-align: left;
      vertical-align: top;
	  word-wrap: break-word; 
	  white-space: normal;
    }
	
/* Set the width of each table column */

.table_container_zones    td:nth-child(1) {
      width: 10%;
    }


.table_container_zones    td:nth-child(2) {
	  /* display: flex; */
  /* flex-wrap: wrap; */
  word-wrap: break-word;
      width: 90%;
    }
    *,
*::after,
*::before{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

.html{
    font-size: 62.5%;
}

.nav_button input[type="checkbox"],
.navbar .hamburger-lines{
    display: none;
}

.container{
    max-width: 1200px;
    width: 90%;
    margin: auto;
}

.navbar{
    box-shadow: 0px 5px 10px 0px #aaa;
    position: fixed;
    width: 100%;
    background: #fff;
    color: #000;
    opacity: 0.85;
    z-index: 100;
}

.navbar-container{
    display: flex;
    justify-content: space-between;
    height: 64px;
    align-items: center;
}
.top-navbar-container{
  display: none;
}

.menu-items{
    order: 2;
    display: flex;
}
.logo{
    order: 1;
    font-size: 2.3rem;
}

.menu-items li{
    list-style: none;
    margin-left: 1.5rem;
    font-size: 1.3rem;
}

.navbar a{
    color: #444;
    text-decoration: none;
    font-weight: 500;
    transition: color 0.3s ease-in-out;
}

.navbar a:hover{
    color: #117964;
}
.nav-logo{
  display: none;
}
